#include<bits/stdc++.h>
using namespace std;
long long binarnaPretraga(long long arr[], long long l, long long r, long long x)
{
    if (l<=r) {
        long long s = l + (r - l) / 2;
        if (arr[s] == x)
            return s;
        if (arr[s] > x)
            return binarnaPretraga(arr, l, s - 1, x);
        return binarnaPretraga(arr, s + 1, r, x);
    }
    return l;
}
int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0); cout.tie(0);
    long long N, Q,b;
    cin >> N >> Q;
    long long A[200000];
    for (size_t i = 0; i < N; i++)
    {
        cin >> A[i];
    }
    sort(A, A + N);
    for (size_t i = 0; i < Q; i++)
    {
        cin >> b;
        long long c;
        if(A[N-1]>b)c = binarnaPretraga(A, 0, N, b);
        else c = N;
        long long m = (abs(c - N / 2) - 1) * 2 + 1;
        if (m > 0)cout << m<<"\n";
        else cout << 0<<"\n";
    }
}